summaryrefslogtreecommitdiffstats
path: root/utils/generate_changelog.sh
diff options
context:
space:
mode:
authorLibravatar sommerfeld <sommerfeld@sommerfeld.dev>2024-06-28 14:53:43 +0100
committerLibravatar sommerfeld <sommerfeld@sommerfeld.dev>2024-06-28 14:53:43 +0100
commitef34f0bb4798a0d1410fffc974f084e4c6cfb920 (patch)
tree927965d3de187e2af5d594e6018b635a416ef6fb /utils/generate_changelog.sh
downloadviewercount-ef34f0bb4798a0d1410fffc974f084e4c6cfb920.tar.gz
viewercount-ef34f0bb4798a0d1410fffc974f084e4c6cfb920.tar.bz2
viewercount-ef34f0bb4798a0d1410fffc974f084e4c6cfb920.zip
Initial commit
Diffstat (limited to 'utils/generate_changelog.sh')
-rwxr-xr-xutils/generate_changelog.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/utils/generate_changelog.sh b/utils/generate_changelog.sh
new file mode 100755
index 0000000..ca9274b
--- /dev/null
+++ b/utils/generate_changelog.sh
@@ -0,0 +1,38 @@
+#|/usr/bin/env sh
+
+set -e
+
+script_dir=$(dirname -- "$(readlink -f "$0")")
+root_dir=$script_dir/..
+
+cwd=$(pwd)
+cd "$root_dir"
+
+version=$(head -n 1 docs/CHANGELOG.md | cut -f 1 -d ' ')
+
+sed '/^$/q' docs/CHANGELOG.md
+
+printf 'Verifying the release
+---------------------
+
+0. Import my gpg public key into your keyring (you only need to do this once, not for every release):
+
+```bash
+gpg --auto-key-locate clear,wkd --locate-keys sommerfeld@sommerfeld.dev
+```
+
+1. Download `viewercount-v%s-manifest.txt` and `viewercount-v%s-manifest.txt.asc` to the same directory where you are downloading the binary.
+2. Verify the gpg signature is mine (should ouput `Good signature`)`:
+
+```bash
+gpg --verify viewercount-v%s-manifest.txt.asc
+```
+
+3. Verify the checksums of the binaries (should output `OK`):
+
+```bash
+sha256sum --check --ignore-missing viewercount-v%s-manifest.txt
+```
+' "$version" "$version" "$version" "$version"
+
+cd "$cwd"